Documentation index for AI agents (llms.txt)

Append .md to any page URL for its markdown source, or fetch llms-full.txt for the complete corpus.

Customer

Create an iwoca account for a new customer

This POST request should be used to create an iwoca account for the customer. We'll return a customer_id that can be used to identify the customer in all future requests. For more information, see 'Create a customer' in the documentation.

POST/customers/

Authorizations

Authorizationstringheaderrequired

You must put the word Bearer or Token in the Authorization header before your token e.g:

Authorization: Bearer <Your API token>

Examples generated from this schema may be missing the word Bearer.

Body

company_numberstring

Company number as on Companies House.

<= 50 characters
has_card_based_transactionsboolean
industrystring

Recommended format is one of: Agriculture, Forestry & Fishing / Architecture & Engineering / Business Support Services (e.g. recruitment or security) / Car Dealers, Garages & Mechanics / Cleaning, Landscaping & Gardening / Construction (e.g. builders, civil engineer or electrician) / Education & Training / Finance & Insurance / Health & Care (e.g. day-care, doctors or care homes) / Hotels, Restaurants & Pubs / IT & Communications/ Leisure / Other Services (e.g. hairdressers or travel agents) / Manufacturing, Food Processing & Printing / Professional Services (e.g. accounting or consulting) / Property & Real Estate / Publishing, Film & Media Production / Retail (online or offline) / Transport & Logistics (e.g. taxis, couriers or storage) / Wholesale / Other.

Estimated profit over the last 12 months. For a young business without a full year of trading, the profit to date should be given. A negative value denotes a loss.

Estimated revenue over the last 12 months. For a young business without a full year of revenue, revenue to date should be given.

number_of_employeesinteger
online_sales_percentageinteger
registered_company_namestring

Registered company name for a registered business such as a limited company, as on Companies House.

<= 200 characters

Details of third-party providers used by the business such as Xero, eBay, PayPal or others.

trading_from_datestring<date>

Date when company started trading, with expected ISO 8601 format.

trading_namestring
<= 200 characters
typestring
Allowed values:limited_liability_companysole_traderordinary_partnershiplimited_liability_partnershippublic_limited_companyother

Information on the company's VAT registration status.

websitestring

Company website.

<= 200 characters
correlation_idstring<uuid>

If you have previously pre-qualified this customer using the /prequalification_data endpoint, please submit the ID you used when prequalifying the customer in either the external_customer_id field (if it is unique), the correlation_id field (if it is a UUID) or both, so that iwoca can match up the prequalification result with the customer

external_customer_idstring

If you have a unique identifier for the customer in your system, you can send it in this field. This field accepts any string, so it does not matter what format you use for customer IDs. The external_customer_id value will be used in the following ways:

  1. If you make a second POST /customers request with the same external_customer_id, you will get a HTTP 409 response and the response body will contain the iwoca customer_id of the customer you previously created for this external_customer_id. This is one way to avoid submitting the same customer twice if you are unable to track that on your side.
  2. If you have previously pre-qualified this customer using the /prequalification_data endpoint, please submit the ID you used when prequalifying the customer in either the external_customer_id field (if it is unique), the correlation_id field (if it is a UUID) or both, so that iwoca can match up the prequalification result with the customer.
  3. Some webhooks send the external_customer_id in addition to the iwoca customer_id, for convenience.

People associated with the company including the applicant and any other directors, shareholders or loan guarantors you wish to submit. For every customer there should be exactly one person with the role of 'applicant' that is also a 'director' and 'guarantor'.

Array of person
date_of_birthstring<date>

Date with expected ISO 8601 format.

first_namestring

Middle name is not required.

<= 100 characters
last_namestring
<= 100 characters

The person's personal income or takings from the business per month.

No longer required

No longer needed

Total income from other members of the applicant's household such as their wife or husband. Does not include their own income.

Number of people that are financially dependent on the person (such as children or people in their care).

Required to retrieve an automated decision. This field denotes both that the customer agrees to the iwoca privacy policy AND that they have received reasonable, visible notice that iwoca will perform a soft credit check.

There should only be one applicant but there may be multiple people with the other roles.

Allowed values:shareholderapplicantdirectorguarantorpartnerotherbeneficial_owner
titlestring
Allowed values:mrmsmrsmissdoctorprofessorsirlordladybaronbaronessrevother
uidstring<uuid>required

Unique identifier created and stored by the partner which will allow you to retrieve/update this data in the future.

Responses

Customer UID correctly received.

Present only if the request went fine.

customer_idstring<uuid>required